# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt

from ums.utils.const import *

import logging, os
if os.environ.get('SERVE', 'false') == 'true':
	logging.basicConfig(
		handlers=[
			logging.FileHandler(LOG_FILE),
			logging.StreamHandler()
		],
		level=LOG_LEVEL,
		format='%(asctime)s %(levelname)s %(name)s: %(message)s',
		datefmt='%Y-%m-%d %H:%M:%S'
	)
logger = logging.getLogger('UMS Agenten')

from ums.utils.types import (
	RiddleInformation,
		AgentMessage,
			Riddle,
			RiddleSolution,
			RiddleData, 
				RiddleDataType,
			RiddleStatus,
		AgentResponse,
	MessageDbRow
)

from ums.utils.request import ManagementRequest

from ums.utils.functions import list_shared_data, list_shared_schema
